Diff for /qemu/configure between versions 1.1.1.2 and 1.1.1.5

version 1.1.1.2, 2018/04/24 16:38:31 version 1.1.1.5, 2018/04/24 16:44:57
Line 22  interp_prefix="/usr/gnemul/qemu-%M" Line 22  interp_prefix="/usr/gnemul/qemu-%M"
 static="no"  static="no"
 cross_prefix=""  cross_prefix=""
 cc="gcc"  cc="gcc"
   gcc3_search="yes"
   gcc3_list="gcc-3.4 gcc34 gcc-3.3 gcc33 gcc-3.2 gcc32"
 host_cc="gcc"  host_cc="gcc"
 ar="ar"  ar="ar"
 make="make"  make="make"
   install="install"
 strip="strip"  strip="strip"
 cpu=`uname -m`  cpu=`uname -m`
 target_list=""  target_list=""
Line 50  case "$cpu" in Line 53  case "$cpu" in
   s390)    s390)
     cpu="s390"      cpu="s390"
   ;;    ;;
   sparc)    sparc|sun4[muv])
     cpu="sparc"      cpu="sparc"
   ;;    ;;
   sparc64)    sparc64)
Line 83  alsa="no" Line 86  alsa="no"
 fmod="no"  fmod="no"
 fmod_lib=""  fmod_lib=""
 fmod_inc=""  fmod_inc=""
   bsd="no"
 linux="no"  linux="no"
 kqemu="no"  kqemu="no"
 kernel_path=""  profiler="no"
 cocoa="no"  cocoa="no"
 check_gfx="yes"  check_gfx="yes"
 check_gcc="yes"  check_gcc="yes"
   softmmu="yes"
   linux_user="no"
   darwin_user="no"
   build_docs="no"
   uname_release=""
   
 # OS specific  # OS specific
 targetos=`uname -s`  targetos=`uname -s`
 case $targetos in  case $targetos in
 CYGWIN*)  CYGWIN*)
 mingw32="yes"  mingw32="yes"
 CFLAGS="-O2 -mno-cygwin"  OS_CFLAGS="-mno-cygwin"
 ;;  ;;
 MINGW32*)  MINGW32*)
 mingw32="yes"  mingw32="yes"
Line 118  oss="yes" Line 127  oss="yes"
 Darwin)  Darwin)
 bsd="yes"  bsd="yes"
 darwin="yes"  darwin="yes"
   darwin_user="yes"
   cocoa="yes"
   coreaudio="yes"
   OS_CFLAGS="-mdynamic-no-pic"
   ;;
   SunOS)
   solaris="yes"
 ;;  ;;
 *)  *)
 oss="yes"  oss="yes"
 linux="yes"  linux="yes"
   linux_user="yes"
 if [ "$cpu" = "i386" -o "$cpu" = "x86_64" ] ; then  if [ "$cpu" = "i386" -o "$cpu" = "x86_64" ] ; then
     kqemu="yes"      kqemu="yes"
 fi  fi
Line 129  fi Line 146  fi
 esac  esac
   
 if [ "$bsd" = "yes" ] ; then  if [ "$bsd" = "yes" ] ; then
   if [ ! "$darwin" = "yes" ] ; then    if [ "$darwin" != "yes" ] ; then
     make="gmake"      make="gmake"
   fi    fi
 fi  fi
   
   if [ "$solaris" = "yes" ] ; then
       make="gmake"
       install="ginstall"
       solarisrev=`uname -r | cut -f2 -d.`
       if [ "$cpu" = "i386" -o "$cpu" = "x86_64" ] ; then
           if test "$solarisrev" -gt 10 ; then
               kqemu="yes"
           fi
       fi
   fi
   
 # find source path  # find source path
 # XXX: we assume an absolute path is given when launching configure,  source_path=`dirname "$0"`
 # except in './configure' case.  if [ -z "$source_path" ]; then
 source_path=${0%configure}  
 source_path=${source_path%/}  
 source_path_used="yes"  
 if test -z "$source_path" -o "$source_path" = "." ; then  
     source_path=`pwd`      source_path=`pwd`
   else
       source_path=`cd "$source_path"; pwd`
   fi
   if test "$source_path" = `pwd` ; then
     source_path_used="no"      source_path_used="no"
   else
       source_path_used="yes"
 fi  fi
   
 for opt do  for opt do
     optarg=`expr "x$opt" : 'x[^=]*=\(.*\)'`
   case "$opt" in    case "$opt" in
   --help|-h) show_help=yes    --help|-h) show_help=yes
   ;;    ;;
   --prefix=*) prefix=`echo $opt | cut -d '=' -f 2`    --prefix=*) prefix="$optarg"
   ;;    ;;
   --interp-prefix=*) interp_prefix=`echo $opt | cut -d '=' -f 2`    --interp-prefix=*) interp_prefix="$optarg"
   ;;    ;;
   --source-path=*) source_path=`echo $opt | cut -d '=' -f 2`    --source-path=*) source_path="$optarg"
     source_path_used="yes"
   ;;    ;;
   --cross-prefix=*) cross_prefix=`echo $opt | cut -d '=' -f 2`    --cross-prefix=*) cross_prefix="$optarg"
   ;;    ;;
   --cc=*) cc=`echo $opt | cut -d '=' -f 2`    --cc=*) cc="$optarg"
     gcc3_search="no"
   ;;    ;;
   --host-cc=*) host_cc=`echo $opt | cut -d '=' -f 2`    --host-cc=*) host_cc="$optarg"
   ;;    ;;
   --make=*) make=`echo $opt | cut -d '=' -f 2`    --make=*) make="$optarg"
   ;;    ;;
   --extra-cflags=*) CFLAGS="${opt#--extra-cflags=}"    --install=*) install="$optarg"
   ;;    ;;
   --extra-ldflags=*) LDFLAGS="${opt#--extra-ldflags=}"    --extra-cflags=*) CFLAGS="$optarg"
   ;;    ;;
   --cpu=*) cpu=`echo $opt | cut -d '=' -f 2`    --extra-ldflags=*) LDFLAGS="$optarg"
   ;;    ;;
   --target-list=*) target_list=${opt#--target-list=}    --cpu=*) cpu="$optarg"
     ;;
     --target-list=*) target_list="$optarg"
   ;;    ;;
   --enable-gprof) gprof="yes"    --enable-gprof) gprof="yes"
   ;;    ;;
Line 185  for opt do Line 220  for opt do
   ;;    ;;
   --enable-fmod) fmod="yes"    --enable-fmod) fmod="yes"
   ;;    ;;
   --fmod-lib=*) fmod_lib=${opt#--fmod-lib=}    --fmod-lib=*) fmod_lib="$optarg"
   ;;    ;;
   --fmod-inc=*) fmod_inc=${opt#--fmod-inc=}    --fmod-inc=*) fmod_inc="$optarg"
   ;;    ;;
   --enable-mingw32) mingw32="yes" ; cross_prefix="i386-mingw32-"    --enable-mingw32) mingw32="yes" ; cross_prefix="i386-mingw32-" ; user="no"
   ;;    ;;
   --disable-slirp) slirp="no"    --disable-slirp) slirp="no"
   ;;    ;;
Line 197  for opt do Line 232  for opt do
   ;;    ;;
   --disable-kqemu) kqemu="no"    --disable-kqemu) kqemu="no"
   ;;    ;;
   --kernel-path=*) kernel_path=${opt#--kernel-path=}    --enable-profiler) profiler="yes"
   ;;    ;;
   --enable-cocoa) cocoa="yes" ; coreaudio="yes" ; sdl="no"    --enable-cocoa) cocoa="yes" ; coreaudio="yes" ; sdl="no"
   ;;    ;;
Line 205  for opt do Line 240  for opt do
   ;;    ;;
   --disable-gcc-check) check_gcc="no"    --disable-gcc-check) check_gcc="no"
   ;;    ;;
     --disable-system) softmmu="no"
     ;;
     --enable-system) softmmu="yes"
     ;;
     --disable-linux-user) linux_user="no"
     ;;
     --enable-linux-user) linux_user="yes"
     ;;
     --disable-darwin-user) darwin_user="no"
     ;;
     --enable-darwin-user) darwin_user="yes"
     ;;
     --enable-uname-release=*) uname_release="$optarg"
     ;;
   esac    esac
 done  done
   
 # Checking for CFLAGS  # default flags for all hosts
 if test -z "$CFLAGS"; then  CFLAGS="$CFLAGS -Wall -O2 -g -fno-strict-aliasing"
     CFLAGS="-O2"  LDFLAGS="$LDFLAGS -g"
   
   if test x"$show_help" = x"yes" ; then
   cat << EOF
   
   Usage: configure [options]
   Options: [defaults in brackets after descriptions]
   
   EOF
   echo "Standard options:"
   echo "  --help                   print this message"
   echo "  --prefix=PREFIX          install in PREFIX [$prefix]"
   echo "  --interp-prefix=PREFIX   where to find shared libraries, etc."
   echo "                           use %M for cpu name [$interp_prefix]"
   echo "  --target-list=LIST       set target list [$target_list]"
   echo ""
   echo "kqemu kernel acceleration support:"
   echo "  --disable-kqemu          disable kqemu support"
   echo ""
   echo "Advanced options (experts only):"
   echo "  --source-path=PATH       path of source code [$source_path]"
   echo "  --cross-prefix=PREFIX    use PREFIX for compile tools [$cross_prefix]"
   echo "  --cc=CC                  use C compiler CC [$cc]"
   echo "  --host-cc=CC             use C compiler CC [$host_cc] for dyngen etc."
   echo "  --make=MAKE              use specified make [$make]"
   echo "  --install=INSTALL        use specified install [$install]"
   echo "  --static                 enable static build [$static]"
   echo "  --enable-cocoa           enable COCOA (Mac OS X only)"
   echo "  --enable-mingw32         enable Win32 cross compilation with mingw32"
   echo "  --enable-adlib           enable Adlib emulation"
   echo "  --enable-coreaudio       enable Coreaudio audio driver"
   echo "  --enable-alsa            enable ALSA audio driver"
   echo "  --enable-fmod            enable FMOD audio driver"
   echo "  --enabled-dsound         enable DirectSound audio driver"
   echo "  --enable-system          enable all system emulation targets"
   echo "  --disable-system         disable all system emulation targets"
   echo "  --enable-linux-user      enable all linux usermode emulation targets"
   echo "  --disable-linux-user     disable all linux usermode emulation targets"
   echo "  --enable-darwin-user     enable all darwin usermode emulation targets"
   echo "  --disable-darwin-user    disable all darwin usermode emulation targets"
   echo "  --fmod-lib               path to FMOD library"
   echo "  --fmod-inc               path to FMOD includes"
   echo "  --enable-uname-release=R Return R for uname -r in usermode emulation"
   echo ""
   echo "NOTE: The object files are built at the place where configure is launched"
   exit 1
 fi  fi
   
 cc="${cross_prefix}${cc}"  cc="${cross_prefix}${cc}"
 ar="${cross_prefix}${ar}"  ar="${cross_prefix}${ar}"
 strip="${cross_prefix}${strip}"  strip="${cross_prefix}${strip}"
   
   # check that the C compiler works.
   cat > $TMPC <<EOF
   int main(void) {}
   EOF
   
   if $cc -c -o $TMPO $TMPC 2>/dev/null ; then
     : C compiler works ok
   else
       echo "ERROR: \"$cc\" either does not exist or does not work"
       exit 1
   fi
   
 if test "$mingw32" = "yes" ; then  if test "$mingw32" = "yes" ; then
     linux="no"      linux="no"
     EXESUF=".exe"      EXESUF=".exe"
     gdbstub="no"  
     oss="no"      oss="no"
     if [ "$cpu" = "i386" ] ; then      if [ "$cpu" = "i386" ] ; then
         kqemu="yes"          kqemu="yes"
     fi      fi
 fi  fi
   
   # Check for gcc4, error if pre-gcc4 
   if test "$check_gcc" = "yes" ; then
       cat > $TMPC <<EOF
   #if __GNUC__ < 4
   #error gcc3
   #endif
   int main(){return 0;}
   EOF
       check_cc() {
           which "$1" >&/dev/null
           return $?
       }
   
       if "$cc" -o $TMPE $TMPC 2>/dev/null ; then
           echo "WARNING: \"$cc\" looks like gcc 4.x"
           found_compat_cc="no"
           if test "$gcc3_search" = "yes" ; then
               echo "Looking for gcc 3.x"
               for compat_cc in $gcc3_list ; do
                   if check_cc "$compat_cc" ; then
                       echo "Found \"$compat_cc\""
                       cc="$compat_cc"
                       found_compat_cc="yes"
                       break
                   fi
               done
               if test "$found_compat_cc" = "no" ; then
                   echo "gcc 3.x not found!"
               fi
           fi
           if test "$found_compat_cc" = "no" ; then
               echo "QEMU is known to have problems when compiled with gcc 4.x"
               echo "It is recommended that you use gcc 3.x to build QEMU"
               echo "To use this compiler anyway, configure with --disable-gcc-check"
               exit 1;
           fi
       fi
   fi
   
   #
   # Solaris specific configure tool chain decisions
   #
   if test "$solaris" = "yes" ; then
     #
     # gcc for solaris 10/fcs in /usr/sfw/bin doesn't compile qemu correctly
     # override the check with --disable-gcc-check
     # 
     if test "$solarisrev" -eq 10 -a "$check_gcc" = "yes" ; then
       solgcc=`which $cc`
       if test "$solgcc" = "/usr/sfw/bin/gcc" ; then
         echo "Solaris 10/FCS gcc in /usr/sfw/bin will not compiled qemu correctly."
         echo "please get gcc-3.4.3 or later, from www.blastwave.org using pkg-get -i gcc3"
         echo "or get the latest patch from SunSolve for gcc"
         exit 1
       fi
     fi
     solinst=`which $install 2> /dev/null | /usr/bin/grep -v "no $install in"`
     if test -z "$solinst" ; then
       echo "Solaris install program not found. Use --install=/usr/ucb/install or"
       echo "install fileutils from www.blastwave.org using pkg-get -i fileutils"
       echo "to get ginstall which is used by default (which lives in /opt/csw/bin)"
       exit 1
     fi
     if test "$solinst" = "/usr/sbin/install" ; then
       echo "Error: Solaris /usr/sbin/install is not an appropriate install program."
       echo "try ginstall from the GNU fileutils available from www.blastwave.org"
       echo "using pkg-get -i fileutils, or use --install=/usr/ucb/install"
       exit 1
     fi
     sol_ar=`which ar 2> /dev/null | /usr/bin/grep -v "no ar in"`
     if test -z "$sol_ar" ; then
       echo "Error: No path includes ar"
       if test -f /usr/ccs/bin/ar ; then
         echo "Add /usr/ccs/bin to your path and rerun configure"
       fi
       exit 1
     fi
   fi 
   
   
 if test -z "$target_list" ; then  if test -z "$target_list" ; then
 # these targets are portable  # these targets are portable
     target_list="i386-softmmu ppc-softmmu sparc-softmmu x86_64-softmmu mips-softmmu arm-softmmu"      if [ "$softmmu" = "yes" ] ; then
           target_list="i386-softmmu ppc-softmmu sparc-softmmu x86_64-softmmu mips-softmmu mipsel-softmmu arm-softmmu"
       fi
 # the following are Linux specific  # the following are Linux specific
     if [ "$linux" = "yes" ] ; then      if [ "$linux_user" = "yes" ] ; then
         target_list="i386-user arm-user armeb-user sparc-user ppc-user mips-user mipsel-user $target_list"          target_list="i386-linux-user arm-linux-user armeb-linux-user sparc-linux-user ppc-linux-user mips-linux-user mipsel-linux-user m68k-linux-user $target_list"
       fi
   # the following are Darwin specific
       if [ "$darwin_user" = "yes" ] ; then
           target_list="i386-darwin-user ppc-darwin-user $target_list"
     fi      fi
 else  else
     target_list=$(echo "$target_list" | sed -e 's/,/ /g')      target_list=`echo "$target_list" | sed -e 's/,/ /g'`
   fi
   if test -z "$target_list" ; then
       echo "No targets enabled"
       exit 1
 fi  fi
   
 if test -z "$cross_prefix" ; then  if test -z "$cross_prefix" ; then
Line 282  if $cc -fno-reorder-blocks -fno-optimize Line 477  if $cc -fno-reorder-blocks -fno-optimize
    have_gcc3_options="yes"     have_gcc3_options="yes"
 fi  fi
   
 # Check for gcc4  
 if test "$check_gcc" = "yes" ; then  
     cat > $TMPC <<EOF  
 #if __GNUC__ >= 4  
 #error gcc4  
 #endif  
 int main(){return 0;}  
 EOF  
     if ! $cc -o $TMPO $TMPC 2>/dev/null ; then  
         echo "ERROR: \"$cc\" looks like gcc 4.x"  
         echo "QEMU is known to have problems when compiled with gcc 4.x"  
         echo "It is recommended that you use gcc 3.x to build QEMU"  
         echo "To use this compiler anyway, configure with --disable-gcc-check"  
         exit 1;  
     fi  
 fi  
   
 ##########################################  ##########################################
 # SDL probe  # SDL probe
   
Line 327  _sdlversion=`$sdl_config --version | sed Line 505  _sdlversion=`$sdl_config --version | sed
 if test "$_sdlversion" -lt 121 ; then  if test "$_sdlversion" -lt 121 ; then
 sdl_too_old=yes  sdl_too_old=yes
 else  else
 sdl=yes   if test "$cocoa" = "no" ; then
      sdl=yes
    fi
 fi  fi
   
 # static link with sdl ?  # static link with sdl ?
Line 348  fi # static link Line 528  fi # static link
 fi # sdl compile test  fi # sdl compile test
   
 fi # cross compilation  fi # cross compilation
 fi # -z $sdl  
   
 if test x"$show_help" = x"yes" ; then  else
 cat << EOF   # Make sure to disable cocoa if sdl was set
    if test "$sdl" = "yes" ; then
      cocoa="no"
      coreaudio="no"
    fi
   fi # -z $sdl
   
 Usage: configure [options]  ##########################################
 Options: [defaults in brackets after descriptions]  # alsa sound support libraries
   
   if test "$alsa" = "yes" ; then
     cat > $TMPC << EOF
   #include <alsa/asoundlib.h>
   int main(void) { snd_pcm_t **handle; return snd_pcm_close(*handle); }
 EOF  EOF
 echo "Standard options:"    if $cc -o $TMPE $TMPC -lasound 2> /dev/null ; then
 echo "  --help                   print this message"      :
 echo "  --prefix=PREFIX          install in PREFIX [$prefix]"    else
 echo "  --interp-prefix=PREFIX   where to find shared libraries, etc."      echo
 echo "                           use %M for cpu name [$interp_prefix]"      echo "Error: Could not find alsa"
 echo "  --target-list=LIST       set target list [$target_list]"      echo "Make sure to have the alsa libs and headers installed."
 echo ""      echo
 echo "kqemu kernel acceleration support:"      exit 1
 echo "  --disable-kqemu          disable kqemu build"    fi
 echo "  --kernel-path=PATH       set the kernel path (configure probes it)"  fi
 echo ""  
 echo "Advanced options (experts only):"  # Check if tools are available to build documentation.
 echo "  --source-path=PATH       path of source code [$source_path]"  if [ -x "`which texi2html`" ] && [ -x "`which pod2man`" ]; then
 echo "  --cross-prefix=PREFIX    use PREFIX for compile tools [$cross_prefix]"    build_docs="yes"
 echo "  --cc=CC                  use C compiler CC [$cc]"  
 echo "  --host-cc=CC             use C compiler CC [$host_cc] for dyngen etc."  
 echo "  --make=MAKE              use specified make [$make]"  
 echo "  --static                 enable static build [$static]"  
 echo "  --enable-mingw32         enable Win32 cross compilation with mingw32"  
 echo "  --enable-adlib           enable Adlib emulation"  
 echo "  --enable-coreaudio       enable Coreaudio audio driver"  
 echo "  --enable-alsa            enable ALSA audio driver"  
 echo "  --enable-fmod            enable FMOD audio driver"  
 echo "  --enabled-dsound         enable DirectSound audio driver"  
 echo "  --fmod-lib               path to FMOD library"  
 echo "  --fmod-inc               path to FMOD includes"  
 echo ""  
 echo "NOTE: The object files are build at the place where configure is launched"  
 exit 1  
 fi  fi
   
 if test "$mingw32" = "yes" ; then  if test "$mingw32" = "yes" ; then
Line 406  docdir="$prefix/share/doc/qemu" Line 579  docdir="$prefix/share/doc/qemu"
 bindir="$prefix/bin"  bindir="$prefix/bin"
 fi  fi
   
 # kqemu support  
 if test $kqemu = "yes" ; then  
     # test if the source code is installed  
     if test '!' -f "kqemu/Makefile" ; then  
         kqemu="no"  
     fi  
 fi  
   
 # Linux specific kqemu configuration  
 if test $kqemu = "yes" -a $linux = "yes" ; then  
 # find the kernel path  
 if test -z "$kernel_path" ; then  
 kernel_version=`uname -r`  
 kernel_path="/lib/modules/$kernel_version/build"  
 if test '!' -d "$kernel_path/include" ; then  
     kernel_path="/usr/src/linux"  
     if test '!' -d "$kernel_path/include" ; then  
         echo "Could not find kernel includes in /lib/modules or /usr/src/linux - cannot build the kqemu module"  
         kqemu="no"  
     fi  
 fi  
 fi  
   
 if test $kqemu = "yes" ; then  
   
 # test that the kernel config is present  
 if test '!' -f "$kernel_path/Makefile" ; then  
     echo "No Makefile file present in $kernel_path - kqemu cannot be built"  
     kqemu="no"  
 fi  
   
 # find build system (2.6 or legacy)  
 kbuild26="yes"  
 if grep -q "PATCHLEVEL = 4" $kernel_path/Makefile ; then  
 kbuild26="no"  
 fi  
   
 fi # kqemu  
   
 fi # kqemu and linux  
   
   
 echo "Install prefix    $prefix"  echo "Install prefix    $prefix"
 echo "BIOS directory    $datadir"  echo "BIOS directory    $datadir"
 echo "binary directory  $bindir"  echo "binary directory  $bindir"
Line 459  echo "Source path       $source_path" Line 590  echo "Source path       $source_path"
 echo "C compiler        $cc"  echo "C compiler        $cc"
 echo "Host C compiler   $host_cc"  echo "Host C compiler   $host_cc"
 echo "make              $make"  echo "make              $make"
   echo "install           $install"
 echo "host CPU          $cpu"  echo "host CPU          $cpu"
 echo "host big endian   $bigendian"  echo "host big endian   $bigendian"
 echo "target list       $target_list"  echo "target list       $target_list"
 echo "gprof enabled     $gprof"  echo "gprof enabled     $gprof"
   echo "profiler          $profiler"
 echo "static build      $static"  echo "static build      $static"
 if test "$darwin" = "yes" ; then  if test "$darwin" = "yes" ; then
     echo "Cocoa support     $cocoa"      echo "Cocoa support     $cocoa"
Line 476  echo "Adlib support     $adlib" Line 609  echo "Adlib support     $adlib"
 echo "CoreAudio support $coreaudio"  echo "CoreAudio support $coreaudio"
 echo "ALSA support      $alsa"  echo "ALSA support      $alsa"
 echo "DSound support    $dsound"  echo "DSound support    $dsound"
 echo -n "FMOD support      $fmod"  
 if test "$fmod" = "yes"; then  if test "$fmod" = "yes"; then
     if test -z $fmod_lib || test -z $fmod_inc; then      if test -z $fmod_lib || test -z $fmod_inc; then
         echo          echo
Line 485  if test "$fmod" = "yes"; then Line 617  if test "$fmod" = "yes"; then
         echo          echo
         exit 1          exit 1
     fi      fi
     echo -n " (lib='$fmod_lib' include='$fmod_inc')"      fmod_support=" (lib='$fmod_lib' include='$fmod_inc')"
 fi  
 echo ""  
 echo "kqemu support     $kqemu"  
 if test $kqemu = "yes" -a $linux = "yes" ; then  
 echo ""  
 echo "KQEMU Linux module configuration:"  
 echo "kernel sources    $kernel_path"  
 echo -n "kbuild type       "  
 if test $kbuild26 = "yes"; then  
 echo "2.6"  
 else  else
 echo "2.4"      fmod_support=""
 fi  
 fi  fi
   echo "FMOD support      $fmod $fmod_support"
   echo "kqemu support     $kqemu"
   echo "Documentation     $build_docs"
   [ ! -z "$uname_release" ] && \
   echo "uname -r          $uname_release"
   
 if test $sdl_too_old = "yes"; then  if test $sdl_too_old = "yes"; then
 echo "-> Your SDL version is too old - please upgrade to have SDL support"  echo "-> Your SDL version is too old - please upgrade to have SDL support"
Line 507  fi Line 633  fi
 #if test "$sdl_static" = "no"; then  #if test "$sdl_static" = "no"; then
 #  echo "WARNING: cannot compile statically with SDL - qemu-fast won't have a graphical output"  #  echo "WARNING: cannot compile statically with SDL - qemu-fast won't have a graphical output"
 #fi  #fi
   
 config_mak="config-host.mak"  config_mak="config-host.mak"
 config_h="config-host.h"  config_h="config-host.h"
   
 #echo "Creating $config_mak and $config_h"  #echo "Creating $config_mak and $config_h"
   
 echo "# Automatically generated by configure - do not modify" > $config_mak  echo "# Automatically generated by configure - do not modify" > $config_mak
   echo "# Configured with: $0 $@" >> $config_mak
 echo "/* Automatically generated by configure - do not modify */" > $config_h  echo "/* Automatically generated by configure - do not modify */" > $config_h
   
 echo "prefix=$prefix" >> $config_mak  echo "prefix=$prefix" >> $config_mak
Line 523  echo "datadir=$datadir" >> $config_mak Line 649  echo "datadir=$datadir" >> $config_mak
 echo "docdir=$docdir" >> $config_mak  echo "docdir=$docdir" >> $config_mak
 echo "#define CONFIG_QEMU_SHAREDIR \"$datadir\"" >> $config_h  echo "#define CONFIG_QEMU_SHAREDIR \"$datadir\"" >> $config_h
 echo "MAKE=$make" >> $config_mak  echo "MAKE=$make" >> $config_mak
   echo "INSTALL=$install" >> $config_mak
 echo "CC=$cc" >> $config_mak  echo "CC=$cc" >> $config_mak
 if test "$have_gcc3_options" = "yes" ; then  if test "$have_gcc3_options" = "yes" ; then
   echo "HAVE_GCC3_OPTIONS=yes" >> $config_mak    echo "HAVE_GCC3_OPTIONS=yes" >> $config_mak
Line 530  fi Line 657  fi
 echo "HOST_CC=$host_cc" >> $config_mak  echo "HOST_CC=$host_cc" >> $config_mak
 echo "AR=$ar" >> $config_mak  echo "AR=$ar" >> $config_mak
 echo "STRIP=$strip -s -R .comment -R .note" >> $config_mak  echo "STRIP=$strip -s -R .comment -R .note" >> $config_mak
   echo "OS_CFLAGS=$OS_CFLAGS" >> $config_mak
 echo "CFLAGS=$CFLAGS" >> $config_mak  echo "CFLAGS=$CFLAGS" >> $config_mak
 echo "LDFLAGS=$LDFLAGS" >> $config_mak  echo "LDFLAGS=$LDFLAGS" >> $config_mak
 echo "EXESUF=$EXESUF" >> $config_mak  echo "EXESUF=$EXESUF" >> $config_mak
Line 588  if test "$darwin" = "yes" ; then Line 716  if test "$darwin" = "yes" ; then
   echo "CONFIG_DARWIN=yes" >> $config_mak    echo "CONFIG_DARWIN=yes" >> $config_mak
   echo "#define CONFIG_DARWIN 1" >> $config_h    echo "#define CONFIG_DARWIN 1" >> $config_h
 fi  fi
   if test "$solaris" = "yes" ; then
     echo "CONFIG_SOLARIS=yes" >> $config_mak
     echo "#define HOST_SOLARIS $solarisrev" >> $config_h
   fi
 if test "$gdbstub" = "yes" ; then  if test "$gdbstub" = "yes" ; then
   echo "CONFIG_GDBSTUB=yes" >> $config_mak    echo "CONFIG_GDBSTUB=yes" >> $config_mak
   echo "#define CONFIG_GDBSTUB 1" >> $config_h    echo "#define CONFIG_GDBSTUB 1" >> $config_h
Line 600  if test "$static" = "yes" ; then Line 732  if test "$static" = "yes" ; then
   echo "CONFIG_STATIC=yes" >> $config_mak    echo "CONFIG_STATIC=yes" >> $config_mak
   echo "#define CONFIG_STATIC 1" >> $config_h    echo "#define CONFIG_STATIC 1" >> $config_h
 fi  fi
   if test $profiler = "yes" ; then
     echo "#define CONFIG_PROFILER 1" >> $config_h
   fi
 if test "$slirp" = "yes" ; then  if test "$slirp" = "yes" ; then
   echo "CONFIG_SLIRP=yes" >> $config_mak    echo "CONFIG_SLIRP=yes" >> $config_mak
   echo "#define CONFIG_SLIRP 1" >> $config_h    echo "#define CONFIG_SLIRP 1" >> $config_h
Line 630  if test "$fmod" = "yes" ; then Line 765  if test "$fmod" = "yes" ; then
   echo "CONFIG_FMOD_INC=$fmod_inc" >> $config_mak    echo "CONFIG_FMOD_INC=$fmod_inc" >> $config_mak
   echo "#define CONFIG_FMOD 1" >> $config_h    echo "#define CONFIG_FMOD 1" >> $config_h
 fi  fi
 echo -n "VERSION=" >>$config_mak  qemu_version=`head $source_path/VERSION`
 head $source_path/VERSION >>$config_mak  echo "VERSION=$qemu_version" >>$config_mak
 echo "" >>$config_mak  echo "#define QEMU_VERSION \"$qemu_version\"" >> $config_h
 echo -n "#define QEMU_VERSION \"" >> $config_h  
 head $source_path/VERSION >> $config_h  
 echo "\"" >> $config_h  
   
 if test $kqemu = "yes" ; then  
   echo "CONFIG_KQEMU=yes" >> $config_mak  
   if test $linux = "yes" ; then  
     echo "KERNEL_PATH=$kernel_path" >> $config_mak  
     if test $kbuild26 = "yes" ; then  
       echo "CONFIG_KBUILD26=yes" >> $config_mak  
     fi  
   fi  
 fi  
 echo "SRC_PATH=$source_path" >> $config_mak  echo "SRC_PATH=$source_path" >> $config_mak
   if [ "$source_path_used" = "yes" ]; then
     echo "VPATH=$source_path" >> $config_mak
   fi
 echo "TARGET_DIRS=$target_list" >> $config_mak  echo "TARGET_DIRS=$target_list" >> $config_mak
   if [ "$build_docs" = "yes" ] ; then
     echo "BUILD_DOCS=yes" >> $config_mak
   fi
   
 # XXX: suppress that  # XXX: suppress that
 if [ "$bsd" = "yes" ] ; then  if [ "$bsd" = "yes" ] ; then
Line 656  if [ "$bsd" = "yes" ] ; then Line 785  if [ "$bsd" = "yes" ] ; then
   echo "#define _BSD 1" >> $config_h    echo "#define _BSD 1" >> $config_h
 fi  fi
   
 for target in $target_list; do  echo "#define CONFIG_UNAME_RELEASE \"$uname_release\"" >> $config_h
   
   for target in $target_list; do
 target_dir="$target"  target_dir="$target"
 config_mak=$target_dir/config.mak  config_mak=$target_dir/config.mak
 config_h=$target_dir/config.h  config_h=$target_dir/config.h
Line 669  target_bigendian="no" Line 799  target_bigendian="no"
 [ "$target_cpu" = "ppc" ] && target_bigendian=yes  [ "$target_cpu" = "ppc" ] && target_bigendian=yes
 [ "$target_cpu" = "ppc64" ] && target_bigendian=yes  [ "$target_cpu" = "ppc64" ] && target_bigendian=yes
 [ "$target_cpu" = "mips" ] && target_bigendian=yes  [ "$target_cpu" = "mips" ] && target_bigendian=yes
   [ "$target_cpu" = "sh4eb" ] && target_bigendian=yes
   [ "$target_cpu" = "m68k" ] && target_bigendian=yes
 target_softmmu="no"  target_softmmu="no"
 if expr $target : '.*-softmmu' > /dev/null ; then  if expr $target : '.*-softmmu' > /dev/null ; then
   target_softmmu="yes"    target_softmmu="yes"
Line 678  if expr $target : '.*-user' > /dev/null  Line 810  if expr $target : '.*-user' > /dev/null 
   target_user_only="yes"    target_user_only="yes"
 fi  fi
   
   target_linux_user="no"
   if expr $target : '.*-linux-user' > /dev/null ; then
     target_linux_user="yes"
   fi
   
   target_darwin_user="no"
   if expr $target : '.*-darwin-user' > /dev/null ; then
     target_darwin_user="yes"
   fi
   
 if test "$target_user_only" = "no" -a "$check_gfx" = "yes" \  if test "$target_user_only" = "no" -a "$check_gfx" = "yes" \
         -a "$sdl" = "no" -a "$cocoa" = "no" ; then          -a "$sdl" = "no" -a "$cocoa" = "no" ; then
     echo "ERROR: QEMU requires SDL or Cocoa for graphical output"      echo "ERROR: QEMU requires SDL or Cocoa for graphical output"
     echo "To build QEMU with graphical output configure with --disable-gfx-check"      echo "To build QEMU without graphical output configure with --disable-gfx-check"
     echo "Note that this will disable all output from the virtual graphics card."      echo "Note that this will disable all output from the virtual graphics card."
     exit 1;      exit 1;
 fi  fi
Line 690  fi Line 832  fi
   
 mkdir -p $target_dir  mkdir -p $target_dir
 mkdir -p $target_dir/fpu  mkdir -p $target_dir/fpu
 if test "$target" = "arm-user" -o "$target" = "armeb-user" ; then  if test "$target" = "arm-linux-user" -o "$target" = "armeb-linux-user" ; then
   mkdir -p $target_dir/nwfpe    mkdir -p $target_dir/nwfpe
 fi  fi
 if test "$target_user_only" = "no" ; then  if test "$target_user_only" = "no" ; then
   mkdir -p $target_dir/slirp    mkdir -p $target_dir/slirp
 fi  fi
   
 ln -sf $source_path/Makefile.target $target_dir/Makefile  #
   # don't use ln -sf as not all "ln -sf" over write the file/link
   #
   rm -f $target_dir/Makefile
   ln -s $source_path/Makefile.target $target_dir/Makefile
   
   
 echo "# Automatically generated by configure - do not modify" > $config_mak  echo "# Automatically generated by configure - do not modify" > $config_mak
 echo "/* Automatically generated by configure - do not modify */" > $config_h  echo "/* Automatically generated by configure - do not modify */" > $config_h
Line 706  echo "/* Automatically generated by conf Line 853  echo "/* Automatically generated by conf
 echo "include ../config-host.mak" >> $config_mak  echo "include ../config-host.mak" >> $config_mak
 echo "#include \"../config-host.h\"" >> $config_h  echo "#include \"../config-host.h\"" >> $config_h
   
   bflt="no"
 interp_prefix1=`echo "$interp_prefix" | sed "s/%M/$target_cpu/g"`  interp_prefix1=`echo "$interp_prefix" | sed "s/%M/$target_cpu/g"`
 echo "#define CONFIG_QEMU_PREFIX \"$interp_prefix1\"" >> $config_h  echo "#define CONFIG_QEMU_PREFIX \"$interp_prefix1\"" >> $config_h
   
Line 720  elif test "$target_cpu" = "arm" -o "$tar Line 868  elif test "$target_cpu" = "arm" -o "$tar
   echo "TARGET_ARCH=arm" >> $config_mak    echo "TARGET_ARCH=arm" >> $config_mak
   echo "#define TARGET_ARCH \"arm\"" >> $config_h    echo "#define TARGET_ARCH \"arm\"" >> $config_h
   echo "#define TARGET_ARM 1" >> $config_h    echo "#define TARGET_ARM 1" >> $config_h
     bflt="yes"
 elif test "$target_cpu" = "sparc" ; then  elif test "$target_cpu" = "sparc" ; then
   echo "TARGET_ARCH=sparc" >> $config_mak    echo "TARGET_ARCH=sparc" >> $config_mak
   echo "#define TARGET_ARCH \"sparc\"" >> $config_h    echo "#define TARGET_ARCH \"sparc\"" >> $config_h
Line 750  elif test "$target_cpu" = "mips" -o "$ta Line 899  elif test "$target_cpu" = "mips" -o "$ta
   echo "TARGET_ARCH=mips" >> $config_mak    echo "TARGET_ARCH=mips" >> $config_mak
   echo "#define TARGET_ARCH \"mips\"" >> $config_h    echo "#define TARGET_ARCH \"mips\"" >> $config_h
   echo "#define TARGET_MIPS 1" >> $config_h    echo "#define TARGET_MIPS 1" >> $config_h
     echo "CONFIG_SOFTFLOAT=yes" >> $config_mak
     echo "#define CONFIG_SOFTFLOAT 1" >> $config_h
   elif test "$target_cpu" = "sh4" -o "$target_cpu" = "sh4eb" ; then
     echo "TARGET_ARCH=sh4" >> $config_mak
     echo "#define TARGET_ARCH \"sh4\"" >> $config_h
     echo "#define TARGET_SH4 1" >> $config_h
     bflt="yes"
   elif test "$target_cpu" = "m68k" ; then
     echo "TARGET_ARCH=m68k" >> $config_mak
     echo "#define TARGET_ARCH \"m68k\"" >> $config_h
     echo "#define TARGET_M68K 1" >> $config_h
     bflt="yes"
 else  else
   echo "Unsupported target CPU"    echo "Unsupported target CPU"
   exit 1    exit 1
Line 766  if test "$target_user_only" = "yes" ; th Line 927  if test "$target_user_only" = "yes" ; th
   echo "CONFIG_USER_ONLY=yes" >> $config_mak    echo "CONFIG_USER_ONLY=yes" >> $config_mak
   echo "#define CONFIG_USER_ONLY 1" >> $config_h    echo "#define CONFIG_USER_ONLY 1" >> $config_h
 fi  fi
   if test "$target_linux_user" = "yes" ; then
     echo "CONFIG_LINUX_USER=yes" >> $config_mak
     echo "#define CONFIG_LINUX_USER 1" >> $config_h
   fi
   if test "$target_darwin_user" = "yes" ; then
     echo "CONFIG_DARWIN_USER=yes" >> $config_mak
     echo "#define CONFIG_DARWIN_USER 1" >> $config_h
   fi
   
 if test "$target_cpu" = "arm" -o "$target_cpu" = "armeb" ; then  if test "$target_cpu" = "arm" -o "$target_cpu" = "armeb" -o "$target_cpu" = "sparc" -o "$target_cpu" = "sparc64" -o "$target_cpu" = "m68k"; then
   echo "CONFIG_SOFTFLOAT=yes" >> $config_mak    echo "CONFIG_SOFTFLOAT=yes" >> $config_mak
   echo "#define CONFIG_SOFTFLOAT 1" >> $config_h    echo "#define CONFIG_SOFTFLOAT 1" >> $config_h
 fi  fi
   if test "$target_user_only" = "yes" -a "$bflt" = "yes"; then
     echo "TARGET_HAS_BFLT=yes" >> $config_mak
     echo "#define TARGET_HAS_BFLT 1" >> $config_h
   fi
 # sdl defines  # sdl defines
   
 if test "$target_user_only" = "no"; then  if test "$target_user_only" = "no"; then
Line 787  if test "$target_user_only" = "no"; then Line 960  if test "$target_user_only" = "no"; then
         else          else
             echo "SDL_LIBS=`$sdl_config --libs`" >> $config_mak              echo "SDL_LIBS=`$sdl_config --libs`" >> $config_mak
         fi          fi
         echo -n "SDL_CFLAGS=`$sdl_config --cflags`" >> $config_mak  
         if [ "${aa}" = "yes" ] ; then          if [ "${aa}" = "yes" ] ; then
             echo -n " `aalib-config --cflags`" >> $config_mak ;              echo "SDL_CFLAGS=`$sdl_config --cflags` `aalib-config --cflags`" >> $config_mak
           else
               echo "SDL_CFLAGS=`$sdl_config --cflags`" >> $config_mak
         fi          fi
         echo "" >> $config_mak  
     fi      fi
 fi  fi
   
Line 809  if test "$source_path_used" = "yes" ; th Line 982  if test "$source_path_used" = "yes" ; th
     for dir in $DIRS ; do      for dir in $DIRS ; do
             mkdir -p $dir              mkdir -p $dir
     done      done
       # remove the link and recreate it, as not all "ln -sf" overwrite the link
     for f in $FILES ; do      for f in $FILES ; do
         ln -sf $source_path/$f $f          rm -f $f
           ln -s $source_path/$f $f
     done      done
 fi  fi
   

Removed from v.1.1.1.2  
changed lines
  Added in v.1.1.1.5


unix.superglobalmegacorp.com